package com.younike.system.enums;

import com.younike.common.utils.StringUtils;
import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 店铺营业状态枚举类
 * @author Dail
 */
@AllArgsConstructor
@Getter
public enum ShopBusinessStateEnum {

    IN_BUSINESS("001", "营业中"),
    STOP_BUSINESS("002", "停止营业");


    private String code;

    private String desc;

    public static String getDescription(String code) {
        for (ShopBusinessStateEnum item : ShopBusinessStateEnum.values()) {
            if(item.getCode().equals(code)){
                return item.getDesc();
            }
        }
        return StringUtils.EMPTY;
    }
}
